# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Class CKEDITOR.ui.dialog.hbox

Extends CKEDITOR.ui.dialog.uiElement.
Defined in: plugins/dialog/plugin.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CKEDITOR.ui.dialog.hbox(dialog, childObjList, childHtmlList, htmlList, elementDefinition) Horizontal layout box for dialog UI elements, auto-expends to available width of container.

Fields borrowed from class CKEDITOR.ui.dialog.uiElement:
  eventProcessors

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getChild(indices) Gets a child UI element inside this container.

Methods borrowed from class CKEDITOR.ui.dialog.uiElement:
  accessKeyDown, accessKeyUp, disable, enable, focus, getDialog, getElement, getInputElement, getValue, isChanged, isEnabled, isFocusable, isVisible, registerEvents, selectParentTab, setValue

Class Detail
CKEDITOR.ui.dialog.hbox(dialog, childObjList, childHtmlList, htmlList, elementDefinition)
Since: 3.0
Horizontal layout box for dialog UI elements, auto-expends to available width of container.

Parameters:
{CKEDITOR.dialog} dialog
  Parent dialog object.
{Array} childObjList
  Array of CKEDITOR.ui.dialog.uiElement objects inside this container.
{Array} childHtmlList
  Array of HTML code that correspond to the HTML output of all the objects in childObjList.
{Array} htmlList
  Array of HTML code that this element will output to.
{CKEDITOR.dialog.uiElementDefinition} elementDefinition
  The element definition. Accepted fields:
  - widths (Optional) The widths of child cells.
  - height (Optional) The height of the layout.
  - padding (Optional) The padding width inside child cells.
  - align (Optional) The alignment of the whole layout

Method Detail
{Array|CKEDITOR.ui.dialog.uiElement} getChild(indices)
Since: 3.0
Gets a child UI element inside this container.

    var checkbox = hbox.getChild( [0,1] );
    checkbox.setValue( true );

Parameters:
{Array|Number} indices
  An array or a single number to indicate the child's position in the container's descendant tree. Omit to get all the children in an array.

Returns:
  {Array|CKEDITOR.ui.dialog.uiElement} Array of all UI elements in the container if no argument given, or the specified UI element if indices is given.

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.